import { SvgIconProps } from "../../app/types/types";


export function SettingsSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M16.0001 2.6665C14.9488 2.6665 13.9352 2.79946 12.9675 3.02458C12.7658 3.07167 12.5836 3.18029 12.4462 3.3354C12.3088 3.49051 12.223 3.68447 12.2006 3.89046L11.9884 5.82536C11.919 6.45941 11.5527 7.02041 11.0001 7.33968C10.4486 7.65832 9.77918 7.69362 9.19541 7.43734H9.19411L7.41676 6.65479C7.22719 6.57136 7.01639 6.54885 6.81347 6.59037C6.61055 6.63188 6.42553 6.73538 6.28395 6.88656C4.90229 8.35956 3.84189 10.1432 3.23968 12.134C3.1797 12.3321 3.18268 12.544 3.24821 12.7403C3.31375 12.9367 3.43861 13.1079 3.60557 13.2303L5.18239 14.3866C5.69729 14.7651 6.0001 15.3617 6.0001 15.9998C6.0001 16.6383 5.6973 17.2354 5.18239 17.6131L3.60557 18.7681C3.43861 18.8905 3.31375 19.0617 3.24821 19.258C3.18268 19.4544 3.1797 19.6663 3.23968 19.8644C3.84182 21.8549 4.90138 23.6399 6.28395 25.1131C6.42568 25.2641 6.61078 25.3673 6.81369 25.4086C7.0166 25.4499 7.22732 25.4272 7.41676 25.3436L9.19411 24.561C9.77816 24.3042 10.4482 24.3411 11.0001 24.66C11.5527 24.9793 11.919 25.5403 11.9884 26.1743L12.2006 28.1092C12.2232 28.3148 12.3089 28.5083 12.446 28.6632C12.5831 28.818 12.7649 28.9265 12.9662 28.9738C13.9343 29.1997 14.9488 29.3332 16.0001 29.3332C17.0514 29.3332 18.065 29.2002 19.0326 28.9751C19.2344 28.928 19.4166 28.8194 19.554 28.6643C19.6914 28.5092 19.7772 28.3152 19.7996 28.1092L20.0118 26.1743C20.0812 25.5403 20.4475 24.9793 21.0001 24.66C21.5516 24.3414 22.221 24.3048 22.8048 24.561L24.5834 25.3436C24.7729 25.4272 24.9836 25.4499 25.1865 25.4086C25.3894 25.3673 25.5745 25.2641 25.7162 25.1131C27.0979 23.6401 28.1583 21.8552 28.7605 19.8644C28.8205 19.6663 28.8175 19.4544 28.752 19.258C28.6864 19.0617 28.5616 18.8905 28.3946 18.7681L26.8178 17.6131C26.3029 17.2354 26.0001 16.6383 26.0001 15.9998C26.0001 15.3614 26.3029 14.7643 26.8178 14.3866L28.3946 13.2316C28.5616 13.1092 28.6864 12.938 28.752 12.7416C28.8175 12.5453 28.8205 12.3334 28.7605 12.1353C28.1583 10.1445 27.0979 8.35956 25.7162 6.88656C25.5745 6.7356 25.3894 6.63235 25.1865 6.59107C24.9836 6.54979 24.7729 6.5725 24.5834 6.65609L22.8048 7.43864C22.221 7.69492 21.5516 7.65832 21.0001 7.33968C20.4475 7.02041 20.0812 6.45941 20.0118 5.82536L19.7996 3.89046C19.777 3.68487 19.6913 3.49133 19.5542 3.33649C19.4171 3.18166 19.2353 3.07314 19.034 3.02588C18.0659 2.79994 17.0514 2.6665 16.0001 2.6665ZM16.0001 4.6665C16.6496 4.6665 17.2734 4.78309 17.8985 4.89307L18.0235 6.04281C18.1621 7.30875 18.898 8.43473 20.0001 9.07145C21.1029 9.70859 22.4455 9.78184 23.6108 9.26937L24.6681 8.80453C25.48 9.77944 26.1228 10.8806 26.5717 12.0871L25.6342 12.7746C24.6078 13.5275 24.0001 14.7263 24.0001 15.9998C24.0001 17.2734 24.6078 18.4722 25.6342 19.2251L26.5717 19.9126C26.1228 21.1191 25.48 22.2202 24.6681 23.1952L23.6108 22.7303C22.4455 22.2178 21.1029 22.2911 20.0001 22.9282C18.898 23.5649 18.1621 24.6909 18.0235 25.9569L17.8985 27.1066C17.2734 27.2163 16.6493 27.3332 16.0001 27.3332C15.3506 27.3332 14.7268 27.2166 14.1017 27.1066L13.9767 25.9569C13.8381 24.6909 13.1022 23.5649 12.0001 22.9282C10.8973 22.2911 9.5547 22.2178 8.38942 22.7303L7.33213 23.1952C6.52008 22.2204 5.87739 21.1191 5.42848 19.9126L6.36598 19.2251C7.39241 18.4722 8.0001 17.2734 8.0001 15.9998C8.0001 14.7263 7.39191 13.5267 6.36598 12.7733L5.42848 12.0858C5.87765 10.8789 6.52106 9.7784 7.33343 8.80322L8.38942 9.26807C9.5547 9.78054 10.8973 9.70859 12.0001 9.07145C13.1022 8.43473 13.8381 7.30875 13.9767 6.04281L14.1017 4.89307C14.7268 4.7834 15.3509 4.6665 16.0001 4.6665ZM16.0001 10.6665C13.0664 10.6665 10.6668 13.0662 10.6668 15.9998C10.6668 18.9335 13.0664 21.3332 16.0001 21.3332C18.9338 21.3332 21.3334 18.9335 21.3334 15.9998C21.3334 13.0662 18.9338 10.6665 16.0001 10.6665ZM16.0001 12.6665C17.8529 12.6665 19.3334 14.147 19.3334 15.9998C19.3334 17.8526 17.8529 19.3332 16.0001 19.3332C14.1473 19.3332 12.6668 17.8526 12.6668 15.9998C12.6668 14.147 14.1473 12.6665 16.0001 12.6665Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
